import type HTMLElement from 'node-html-parser/dist/nodes/html';
export declare const SINGLE_PAGE_FILENAME = "single-page.html";
export interface SinglePageResult {
    path: string;
    content: string;
    title?: string;
}
export interface PreprocessSinglePageOptions {
    path: string;
    tocDir: string;
    title?: string;
}
export declare function getAnchorId(tocDir: string, path: string): string;
export declare function getSinglePageUrl(tocDir: string, path: string, pageName: string): NormalizedPath;
export declare function decreaseHeadingLevels(root: HTMLElement): void;
export declare function tryFixFirstPageHeader(root: HTMLElement): void;
export declare function replaceLinks(root: HTMLElement, options: PreprocessSinglePageOptions): void;
export declare function addPagePrefixToAnchors(root: HTMLElement, options: PreprocessSinglePageOptions): void;
export declare function addMainTitle(root: HTMLElement, options: PreprocessSinglePageOptions): void;
export declare function joinSinglePageResults(singlePageResults: SinglePageResult[], tocDir: NormalizedPath): string;
